summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorroot <root@buildsamba01.idm.lab.bos.redhat.com>2010-03-19 19:25:48 -0500
committerRich Megginson <rmeggins@redhat.com>2010-03-23 10:19:32 -0600
commit682529e7f8391744615b40a14852efd317936109 (patch)
tree906ac28baf86f97655acf29d988101b56c15758b
parent04a0bd9ada0b3dd8efae67b63421dfa31e15b051 (diff)
downloadds-682529e7f8391744615b40a14852efd317936109.tar.gz
ds-682529e7f8391744615b40a14852efd317936109.tar.xz
ds-682529e7f8391744615b40a14852efd317936109.zip
Bug 480787 - Autoconf parameter --with and --without
https://bugzilla.redhat.com/show_bug.cgi?id=480787 Resolves: bug 480787 Bug Description: Autoconf parameter --with and --without Fix Description: The configure script has been modified such that the --with-XXX and --without-XXX switches will work as --with-XXX=yes and --with-XXX=no, respectively. If the package is required and none of the switches are specified, it will default to "yes". The code that detects LDAPSDK and OpenLDAP conflicts has been updated. The help messages have been cleaned up. Reviewed by: rmeggins (and pushed by)
-rwxr-xr-xconfigure396
-rw-r--r--configure.ac2
-rw-r--r--m4/db.m421
-rw-r--r--m4/fhs.m44
-rw-r--r--m4/icu.m425
-rw-r--r--m4/kerberos.m44
-rw-r--r--m4/mozldap.m432
-rw-r--r--m4/netsnmp.m415
-rw-r--r--m4/nspr.m417
-rw-r--r--m4/nss.m417
-rw-r--r--m4/openldap.m416
-rw-r--r--m4/pcre.m433
-rw-r--r--m4/sasl.m425
-rw-r--r--m4/selinux.m416
-rw-r--r--m4/svrcore.m441
15 files changed, 397 insertions, 267 deletions
diff --git a/configure b/configure
index 08774f0c..957f2eac 100755
--- a/configure
+++ b/configure
@@ -1070,8 +1070,8 @@ Optional Packages:
both]
--with-tags[=TAGS]
include additional configurations [automatic]
- --with-fhs Use FHS layout
- --with-fhs-opt Use FHS optional layout
+ --with-fhs Use FHS layout
+ --with-fhs-opt Use FHS optional layout
--with-instconfigdir=/path
Base directory for instance specific writable
configuration directories (default
@@ -1079,37 +1079,48 @@ Optional Packages:
--with-initddir=/path Absolute path (not relative like some of the other
options) that should contain the SysV init scripts
(default '$(sysconfdir)/rc.d')
- --with-nspr=PATH Netscape Portable Runtime (NSPR) directory
- --with-nspr-inc=PATH Netscape Portable Runtime (NSPR) include file directory
- --with-nspr-lib=PATH Netscape Portable Runtime (NSPR) library directory
- --with-nss=PATH Network Security Services (NSS) directory
- --with-nss-inc=PATH Network Security Services (NSS) include directory
- --with-nss-lib=PATH Network Security Services (NSS) library directory
- --with-openldap=PATH Use OpenLDAP - optional PATH is path to OpenLDAP SDK
- --with-openldap-inc=PATH OpenLDAP SDK include directory
- --with-openldap-lib=PATH OpenLDAP SDK library directory
- --with-openldap-bin=PATH OpenLDAP SDK binary directory
- --with-ldapsdk=PATH Mozilla LDAP SDK directory
- --with-ldapsdk-inc=PATH Mozilla LDAP SDK include directory
- --with-ldapsdk-lib=PATH Mozilla LDAP SDK library directory
- --with-ldapsdk-bin=PATH Mozilla LDAP SDK binary directory
- --with-db=PATH Berkeley DB directory
- --with-db-inc=PATH Berkeley DB include file directory
- --with-db-lib=PATH Berkeley DB library directory
- --with-sasl=PATH Use sasl from supplied path
- --with-sasl-inc=PATH SASL include file directory
- --with-sasl-lib=PATH SASL library directory
- --with-svrcore[=PATH] Use system installed svrcore - optional path for svrcore
- --with-svrcore-inc=PATH SVRCORE include file directory
- --with-svrcore-lib=PATH SVRCORE library directory
- --with-icu=PATH ICU directory
+ --with-nspr[=PATH]
+ Netscape Portable Runtime (NSPR) directory
+ --with-nspr-inc=PATH Netscape Portable Runtime (NSPR) include directory
+ --with-nspr-lib=PATH Netscape Portable Runtime (NSPR) library directory
+ --with-nss[=PATH] Network Security Services (NSS) directory
+ --with-nss-inc=PATH Network Security Services (NSS) include directory
+ --with-nss-lib=PATH Network Security Services (NSS) library directory
+ --with-openldap[=PATH]
+ Use OpenLDAP - optional PATH is path to OpenLDAP SDK
+ --with-openldap-inc=PATH
+ OpenLDAP SDK include directory
+ --with-openldap-lib=PATH
+ OpenLDAP SDK library directory
+ --with-openldap-bin=PATH
+ OpenLDAP SDK binary directory
+ --with-ldapsdk[=PATH]
+ Mozilla LDAP SDK directory
+ --with-ldapsdk-inc=PATH Mozilla LDAP SDK include directory
+ --with-ldapsdk-lib=PATH Mozilla LDAP SDK library directory
+ --with-ldapsdk-bin=PATH Mozilla LDAP SDK binary directory
+ --with-db[=PATH] Berkeley DB directory
+ --with-db-inc=PATH Berkeley DB include file directory
+ --with-db-lib=PATH Berkeley DB library directory
+ --with-sasl[=PATH]
+ Use SASL from supplied path
+ --with-sasl-inc=PATH SASL include file directory
+ --with-sasl-lib=PATH SASL library directory
+ --with-svrcore[=PATH]
+ Use system installed SVRCORE - optional path for
+ SVRCORE
+ --with-svrcore-inc=PATH SVRCORE include file directory
+ --with-svrcore-lib=PATH SVRCORE library directory
+ --with-icu[=PATH] ICU directory
--with-icu-inc=PATH ICU include directory
--with-icu-lib=PATH ICU library directory
--with-icu-bin=PATH ICU binary directory
- --with-netsnmp=PATH Net-SNMP directory
- --with-netsnmp-inc=PATH Net-SNMP include directory
- --with-netsnmp-lib=PATH Net-SNMP library directory
- --with-kerberos=PATH Use the kerberos API in the server directly - allows
+ --with-netsnmp[=PATH]
+ Net-SNMP directory
+ --with-netsnmp-inc=PATH Net-SNMP include directory
+ --with-netsnmp-lib=PATH Net-SNMP library directory
+ --with-kerberos[=PATH]
+ Use the kerberos API in the server directly - allows
the server to authenticate directly with a keytab -
otherwise, SASL/GSSAPI auth depends on underlying
SASL libraries and external kinit with a keytab - if
@@ -1128,8 +1139,9 @@ Optional Packages:
Allows you to explicitly set the directory
containing the kerberos libraries - implies use of
kerberos
- --with-pcre=PATH Perl Compatible Regular Expression directory
- --with-selinux Build SELinux policy
+ --with-pcre[=PATH]
+ Perl Compatible Regular Expression directory
+ --with-selinux Build SELinux policy
Some influential environment variables:
CXX C++ compiler command
@@ -4392,7 +4404,7 @@ ia64-*-hpux*)
;;
*-*-irix6*)
# Find out which ABI we are using.
- echo '#line 4395 "configure"' > conftest.$ac_ext
+ echo '#line 4407 "configure"' > conftest.$ac_ext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
@@ -5527,7 +5539,7 @@ fi
# Provide some information about the compiler.
-echo "$as_me:5530:" \
+echo "$as_me:5542:" \
"checking for Fortran 77 compiler version" >&5
ac_compiler=`set X $ac_compile; echo $2`
{ (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
@@ -6590,11 +6602,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:6593: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:6605: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:6597: \$? = $ac_status" >&5
+ echo "$as_me:6609: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -6858,11 +6870,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:6861: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:6873: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:6865: \$? = $ac_status" >&5
+ echo "$as_me:6877: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -6962,11 +6974,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:6965: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:6977: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:6969: \$? = $ac_status" >&5
+ echo "$as_me:6981: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -8431,7 +8443,7 @@ linux*)
libsuff=
case "$host_cpu" in
x86_64*|s390x*|powerpc64*)
- echo '#line 8434 "configure"' > conftest.$ac_ext
+ echo '#line 8446 "configure"' > conftest.$ac_ext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
@@ -9328,7 +9340,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 9331 "configure"
+#line 9343 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -9428,7 +9440,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 9431 "configure"
+#line 9443 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -11771,11 +11783,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:11774: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:11786: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:11778: \$? = $ac_status" >&5
+ echo "$as_me:11790: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -11875,11 +11887,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:11878: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:11890: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:11882: \$? = $ac_status" >&5
+ echo "$as_me:11894: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -12411,7 +12423,7 @@ linux*)
libsuff=
case "$host_cpu" in
x86_64*|s390x*|powerpc64*)
- echo '#line 12414 "configure"' > conftest.$ac_ext
+ echo '#line 12426 "configure"' > conftest.$ac_ext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
@@ -13469,11 +13481,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:13472: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:13484: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:13476: \$? = $ac_status" >&5
+ echo "$as_me:13488: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -13573,11 +13585,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:13576: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:13588: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:13580: \$? = $ac_status" >&5
+ echo "$as_me:13592: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -15022,7 +15034,7 @@ linux*)
libsuff=
case "$host_cpu" in
x86_64*|s390x*|powerpc64*)
- echo '#line 15025 "configure"' > conftest.$ac_ext
+ echo '#line 15037 "configure"' > conftest.$ac_ext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
@@ -15800,11 +15812,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:15803: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:15815: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:15807: \$? = $ac_status" >&5
+ echo "$as_me:15819: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -16068,11 +16080,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:16071: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:16083: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:16075: \$? = $ac_status" >&5
+ echo "$as_me:16087: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -16172,11 +16184,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:16175: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:16187: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:16179: \$? = $ac_status" >&5
+ echo "$as_me:16191: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -17641,7 +17653,7 @@ linux*)
libsuff=
case "$host_cpu" in
x86_64*|s390x*|powerpc64*)
- echo '#line 17644 "configure"' > conftest.$ac_ext
+ echo '#line 17656 "configure"' > conftest.$ac_ext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
@@ -23984,7 +23996,18 @@ echo $ECHO_N "checking for --with-nspr... $ECHO_C" >&6
if test "${with_nspr+set}" = set; then
withval="$with_nspr"
- if test -e "$withval"/include/nspr.h -a -d "$withval"/lib
+ if test "$withval" = "yes"
+ then
+ echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+ elif test "$withval" = "no"
+ then
+ echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+ { { echo "$as_me:$LINENO: error: NSPR is required." >&5
+echo "$as_me: error: NSPR is required." >&2;}
+ { (exit 1); exit 1; }; }
+ elif test -e "$withval"/include/nspr.h -a -d "$withval"/lib
then
echo "$as_me:$LINENO: result: using $withval" >&5
echo "${ECHO_T}using $withval" >&6
@@ -24000,8 +24023,8 @@ echo "$as_me: error: $withval not found" >&2;}
fi
else
- echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
+ echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
fi;
# check for --with-nspr-inc
@@ -24152,7 +24175,18 @@ echo $ECHO_N "checking for --with-nss... $ECHO_C" >&6
if test "${with_nss+set}" = set; then
withval="$with_nss"
- if test -e "$withval"/include/nss.h -a -d "$withval"/lib
+ if test "$withval" = "yes"
+ then
+ echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+ elif test "$withval" = "no"
+ then
+ echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+ { { echo "$as_me:$LINENO: error: NSS is required." >&5
+echo "$as_me: error: NSS is required." >&2;}
+ { (exit 1); exit 1; }; }
+ elif test -e "$withval"/include/nss.h -a -d "$withval"/lib
then
echo "$as_me:$LINENO: result: using $withval" >&5
echo "${ECHO_T}using $withval" >&6
@@ -24168,8 +24202,8 @@ echo "$as_me: error: $withval not found" >&2;}
fi
else
- echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
+ echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
fi;
# check for --with-nss-inc
@@ -24289,8 +24323,6 @@ echo "$as_me: error: NSS not found, specify with --with-nss." >&2;}
fi
fi
-# default to Mozilla LDAP C SDK - override with --with-openldap
-with_ldapsdk=yes
# BEGIN COPYRIGHT BLOCK
# Copyright (C) 2009 Red Hat, Inc.
# All rights reserved.
@@ -24326,6 +24358,10 @@ if test "${with_openldap+set}" = set; then
then
echo "$as_me:$LINENO: result: using system OpenLDAP" >&5
echo "${ECHO_T}using system OpenLDAP" >&6
+ elif test "$withval" = no
+ then
+ echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
elif test -e "$withval"/include/ldap.h -a -d "$withval"/lib
then
echo "$as_me:$LINENO: result: using $withval" >&5
@@ -24431,8 +24467,8 @@ fi;
# if OPENLDAP is not found yet, try pkg-config
-if test -z "$openldap_inc" -o -z "$openldap_lib" -o -z "$openldap_libdir" -o -z "$openldap_bindir"; then
- if test "$with_openldap" = yes ; then # user wants to use openldap, but didn't specify paths
+if test "$with_openldap" = yes ; then # user wants to use openldap, but didn't specify paths
+ if test -z "$openldap_inc" -o -z "$openldap_lib" -o -z "$openldap_libdir" -o -z "$openldap_bindir"; then
# Extract the first word of "pkg-config", so it can be a program name with args.
set dummy pkg-config; ac_word=$2
echo "$as_me:$LINENO: checking for $ac_word" >&5
@@ -24871,7 +24907,6 @@ cat >>confdefs.h <<\_ACEOF
#define USE_OPENLDAP 1
_ACEOF
- with_ldapsdk=no # using openldap not mozldap
fi
# BEGIN COPYRIGHT BLOCK
@@ -24907,8 +24942,12 @@ if test "${with_ldapsdk+set}" = set; then
if test "$withval" = yes
then
- echo "$as_me:$LINENO: result: using system MozLDAP" >&5
-echo "${ECHO_T}using system MozLDAP" >&6
+ echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+ elif test "$withval" = no
+ then
+ echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
elif test -e "$withval"/include/ldap.h -a -d "$withval"/lib
then
echo "$as_me:$LINENO: result: using $withval" >&5
@@ -24926,9 +24965,31 @@ echo "$as_me: error: $withval not found" >&2;}
{ (exit 1); exit 1; }; }
fi
+ if test "$with_ldapsdk" = yes -a "$with_openldap" = yes
+ then
+ { { echo "$as_me:$LINENO: error: Cannot use both LDAPSDK and OpenLDAP." >&5
+echo "$as_me: error: Cannot use both LDAPSDK and OpenLDAP." >&2;}
+ { (exit 1); exit 1; }; }
+ fi
+ if test "$with_ldapsdk" != yes -a "$with_openldap" != yes
+ then
+ { { echo "$as_me:$LINENO: error: Either LDAPSDK or OpenLDAP must be used." >&5
+echo "$as_me: error: Either LDAPSDK or OpenLDAP must be used." >&2;}
+ { (exit 1); exit 1; }; }
+ fi
+
else
- echo "$as_me:$LINENO: result: no" >&5
+
+ if test "$with_openldap" = yes
+ then
+ echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6
+ else
+ echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+ with_ldapsdk=yes
+ fi
+
fi;
# check for --with-ldapsdk-inc
@@ -25203,16 +25264,12 @@ if test "${with_db+set}" = set; then
if test "$withval" = "yes"; then
echo "$as_me:$LINENO: result: yes" >&5
echo "${ECHO_T}yes" >&6
- if test -f "/usr/include/db.h"; then
- db_incdir="/usr/include"
- db_inc="-I/usr/include"
- db_lib='-L$(libdir)'
- db_libdir='$(libdir)'
- else
- { { echo "$as_me:$LINENO: error: db.h not found" >&5
-echo "$as_me: error: db.h not found" >&2;}
+ elif test "$withval" = "no"; then
+ echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+ { { echo "$as_me:$LINENO: error: db is required." >&5
+echo "$as_me: error: db is required." >&2;}
{ (exit 1); exit 1; }; }
- fi
elif test -d "$withval"/include -a -d "$withval"/lib; then
echo "$as_me:$LINENO: result: using $withval" >&5
echo "${ECHO_T}using $withval" >&6
@@ -25234,8 +25291,8 @@ echo "$as_me: error: $withval not found" >&2;}
fi
else
- echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
+ echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
fi;
# check for --with-db-inc
@@ -25315,6 +25372,7 @@ echo "$as_me: error: db not found, specify with --with-db." >&2;}
{ (exit 1); exit 1; }; }
fi
fi
+
db_ver_maj=`grep DB_VERSION_MAJOR $db_incdir/db.h | awk '{print $3}'`
db_ver_min=`grep DB_VERSION_MINOR $db_incdir/db.h | awk '{print $3}'`
db_ver_pat=`grep DB_VERSION_PATCH $db_incdir/db.h | awk '{print $3}'`
@@ -25433,8 +25491,8 @@ fi
# -*- tab-width: 4; -*-
# Configure paths for SASL
-{ echo "$as_me:$LINENO: checking for sasl..." >&5
-echo "$as_me: checking for sasl..." >&6;}
+{ echo "$as_me:$LINENO: checking for SASL..." >&5
+echo "$as_me: checking for SASL..." >&6;}
echo "$as_me:$LINENO: checking for --with-sasl" >&5
echo $ECHO_N "checking for --with-sasl... $ECHO_C" >&6
@@ -25447,15 +25505,12 @@ if test "${with_sasl+set}" = set; then
echo "$as_me:$LINENO: result: yes" >&5
echo "${ECHO_T}yes" >&6
- if test -f /usr/include/sasl/sasl.h; then
- sasl_inc="-I/usr/include/sasl"
- elif test -f /usr/include/sasl.h; then
- sasl_inc="-I/usr/include"
- else
- { { echo "$as_me:$LINENO: error: sasl.h not found" >&5
-echo "$as_me: error: sasl.h not found" >&2;}
+ elif test "$withval" = "no"; then
+ echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+ { { echo "$as_me:$LINENO: error: SASL is required." >&5
+echo "$as_me: error: SASL is required." >&2;}
{ (exit 1); exit 1; }; }
- fi
elif test -d "$withval" -a -d "$withval/lib" -a -d "$withval/include" ; then
echo "$as_me:$LINENO: result: using $withval" >&5
@@ -25476,14 +25531,14 @@ echo "$as_me: error: sasl.h not found" >&2;}
else
echo "$as_me:$LINENO: result: yes" >&5
echo "${ECHO_T}yes" >&6
- { { echo "$as_me:$LINENO: error: sasl not found in $withval" >&5
-echo "$as_me: error: sasl not found in $withval" >&2;}
+ { { echo "$as_me:$LINENO: error: SASL not found in $withval" >&5
+echo "$as_me: error: SASL not found in $withval" >&2;}
{ (exit 1); exit 1; }; }
fi
else
- echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
+ echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
fi;
echo "$as_me:$LINENO: checking for --with-sasl-inc" >&5
@@ -25547,8 +25602,8 @@ echo "${ECHO_T}using /usr/include/sasl.h" >&6
else
echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6
- { { echo "$as_me:$LINENO: error: sasl not found, specify with --with-sasl." >&5
-echo "$as_me: error: sasl not found, specify with --with-sasl." >&2;}
+ { { echo "$as_me:$LINENO: error: SASL not found, specify with --with-sasl." >&5
+echo "$as_me: error: SASL not found, specify with --with-sasl." >&2;}
{ (exit 1); exit 1; }; }
fi
fi
@@ -25575,8 +25630,8 @@ fi
#
# Configure paths for SVRCORE
-{ echo "$as_me:$LINENO: checking for svrcore..." >&5
-echo "$as_me: checking for svrcore..." >&6;}
+{ echo "$as_me:$LINENO: checking for SVRCORE..." >&5
+echo "$as_me: checking for SVRCORE..." >&6;}
echo "$as_me:$LINENO: checking for --with-svrcore" >&5
echo $ECHO_N "checking for --with-svrcore... $ECHO_C" >&6
@@ -25589,13 +25644,12 @@ if test "${with_svrcore+set}" = set; then
echo "$as_me:$LINENO: result: yes" >&5
echo "${ECHO_T}yes" >&6
- if test -f /usr/include/svrcore.h; then
- svrcore_inc="-I/usr/include"
- else
- { { echo "$as_me:$LINENO: error: svrcore.h not found" >&5
-echo "$as_me: error: svrcore.h not found" >&2;}
+ elif test "$withval" = "no"; then
+ echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+ { { echo "$as_me:$LINENO: error: SVRCORE is required." >&5
+echo "$as_me: error: SVRCORE is required." >&2;}
{ (exit 1); exit 1; }; }
- fi
elif test -d "$withval" -a -d "$withval/lib" -a -d "$withval/include" ; then
echo "$as_me:$LINENO: result: using $withval" >&5
@@ -25613,14 +25667,14 @@ echo "$as_me: error: svrcore.h not found" >&2;}
else
echo "$as_me:$LINENO: result: yes" >&5
echo "${ECHO_T}yes" >&6
- { { echo "$as_me:$LINENO: error: svrcore not found in $withval" >&5
-echo "$as_me: error: svrcore not found in $withval" >&2;}
+ { { echo "$as_me:$LINENO: error: SVRCORE not found in $withval" >&5
+echo "$as_me: error: SVRCORE not found in $withval" >&2;}
{ (exit 1); exit 1; }; }
fi
else
- echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
+ echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
fi;
echo "$as_me:$LINENO: checking for --with-svrcore-inc" >&5
@@ -25709,8 +25763,8 @@ else
echo "${ECHO_T}no" >&6
fi
- echo "$as_me:$LINENO: checking for svrcore with pkg-config" >&5
-echo $ECHO_N "checking for svrcore with pkg-config... $ECHO_C" >&6
+ echo "$as_me:$LINENO: checking for SVRCORE with pkg-config" >&5
+echo $ECHO_N "checking for SVRCORE with pkg-config... $ECHO_C" >&6
if test -n "$PKG_CONFIG"; then
if $PKG_CONFIG --exists svrcore; then
svrcore_inc=`$PKG_CONFIG --cflags-only-I svrcore`
@@ -25940,8 +25994,19 @@ fi
CPPFLAGS="$save_cppflags"
fi
if test -z "$havesvrcore" ; then
- { { echo "$as_me:$LINENO: error: svrcore not found, specify with --with-svrcore." >&5
-echo "$as_me: error: svrcore not found, specify with --with-svrcore." >&2;}
+ { { echo "$as_me:$LINENO: error: SVRCORE not found, specify with --with-svrcore." >&5
+echo "$as_me: error: SVRCORE not found, specify with --with-svrcore." >&2;}
+ { (exit 1); exit 1; }; }
+ fi
+fi
+
+if test -z "$svrcore_inc" -o -z "$svrcore_lib"; then
+ if test -f /usr/include/svrcore.h; then
+ svrcore_inc="-I/usr/include"
+ svrcore_lib="-L/usr/lib"
+ else
+ { { echo "$as_me:$LINENO: error: SVRCORE not found, specify with --with-svrcore." >&5
+echo "$as_me: error: SVRCORE not found, specify with --with-svrcore." >&2;}
{ (exit 1); exit 1; }; }
fi
fi
@@ -25977,24 +26042,35 @@ echo $ECHO_N "checking for --with-icu... $ECHO_C" >&6
if test "${with_icu+set}" = set; then
withval="$with_icu"
- if test -d "$withval"/lib
+ if test "$withval" = "yes"
+ then
+ echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+ elif test "$withval" = "no"
+ then
+ echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+ { { echo "$as_me:$LINENO: error: ICU is required." >&5
+echo "$as_me: error: ICU is required." >&2;}
+ { (exit 1); exit 1; }; }
+ elif test -d "$withval"/lib
then
echo "$as_me:$LINENO: result: using $withval" >&5
echo "${ECHO_T}using $withval" >&6
ICUDIR=$withval
icu_lib="-L$ICUDIR/lib"
+ icu_inc="-I$withval/include"
+ icu_bin="$withval/bin"
else
echo
{ { echo "$as_me:$LINENO: error: $withval not found" >&5
echo "$as_me: error: $withval not found" >&2;}
{ (exit 1); exit 1; }; }
fi
- icu_inc="-I$withval/include"
- icu_bin="$withval/bin"
else
- echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
+ echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
fi;
# check for --with-icu-inc
@@ -26075,8 +26151,6 @@ fi;
# last resort
if test -z "$icu_lib"; then
- echo "$as_me:$LINENO: checking for icu with icu-config" >&5
-echo $ECHO_N "checking for icu with icu-config... $ECHO_C" >&6
# Extract the first word of "icu-config", so it can be a program name with args.
set dummy icu-config; ac_word=$2
echo "$as_me:$LINENO: checking for $ac_word" >&5
@@ -26116,6 +26190,8 @@ else
echo "${ECHO_T}no" >&6
fi
+ echo "$as_me:$LINENO: checking for icu with icu-config" >&5
+echo $ECHO_N "checking for icu with icu-config... $ECHO_C" >&6
if test -n "$ICU_CONFIG"; then
icu_lib=`$ICU_CONFIG --ldflags-searchpath`
icu_inc=`$ICU_CONFIG --cppflags-searchpath`
@@ -26159,7 +26235,16 @@ echo $ECHO_N "checking for --with-netsnmp... $ECHO_C" >&6
if test "${with_netsnmp+set}" = set; then
withval="$with_netsnmp"
- if test -d "$withval" -a -d "$withval/lib" -a -d "$withval/include"; then
+ if test "$withval" = "yes"; then
+ echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+ elif test "$withval" = "no"; then
+ echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+ { { echo "$as_me:$LINENO: error: Net-SNMP is required." >&5
+echo "$as_me: error: Net-SNMP is required." >&2;}
+ { (exit 1); exit 1; }; }
+ elif test -d "$withval" -a -d "$withval/lib" -a -d "$withval/include"; then
echo "$as_me:$LINENO: result: using $withval" >&5
echo "${ECHO_T}using $withval" >&6
NETSNMPDIR=$withval
@@ -26183,8 +26268,8 @@ echo "$as_me: error: $withval not found" >&2;}
fi
else
- echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
+ echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
fi;
echo "$as_me:$LINENO: checking for --with-netsnmp-inc" >&5
@@ -26331,8 +26416,8 @@ fi
# -*- tab-width: 4; -*-
# Configure paths for Kerberos
-{ echo "$as_me:$LINENO: checking for kerberos..." >&5
-echo "$as_me: checking for kerberos..." >&6;}
+{ echo "$as_me:$LINENO: checking for Kerberos..." >&5
+echo "$as_me: checking for Kerberos..." >&6;}
if test -z "$with_kerberos" ; then
with_kerberos=yes # if not set on cmdline, set default
@@ -27087,8 +27172,8 @@ fi
#
# END COPYRIGHT BLOCK
-{ echo "$as_me:$LINENO: checking for pcre..." >&5
-echo "$as_me: checking for pcre..." >&6;}
+{ echo "$as_me:$LINENO: checking for PCRE..." >&5
+echo "$as_me: checking for PCRE..." >&6;}
echo "$as_me:$LINENO: checking for --with-pcre" >&5
echo $ECHO_N "checking for --with-pcre... $ECHO_C" >&6
@@ -27100,21 +27185,12 @@ if test "${with_pcre+set}" = set; then
if test "$withval" = "yes"; then
echo "$as_me:$LINENO: result: yes" >&5
echo "${ECHO_T}yes" >&6
- if test -f "/usr/include/pcre/pcre.h"; then
- pcre_incdir="/usr/include/pcre"
- pcre_inc="-I/usr/include/pcre"
- pcre_lib='-L$(libdir)'
- pcre_libdir='$(libdir)'
- elif test -f "/usr/include/pcre.h"; then
- pcre_incdir="/usr/include"
- pcre_inc="-I/usr/include"
- pcre_lib='-L$(libdir)'
- pcre_libdir='$(libdir)'
- else
- { { echo "$as_me:$LINENO: error: pcre.h not found" >&5
-echo "$as_me: error: pcre.h not found" >&2;}
+ elif test "$withval" = "no"; then
+ echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+ { { echo "$as_me:$LINENO: error: PCRE is required." >&5
+echo "$as_me: error: PCRE is required." >&2;}
{ (exit 1); exit 1; }; }
- fi
elif test -d "$withval"/include -a -d "$withval"/lib; then
echo "$as_me:$LINENO: result: using $withval" >&5
echo "${ECHO_T}using $withval" >&6
@@ -27136,8 +27212,8 @@ echo "$as_me: error: $withval not found" >&2;}
fi
else
- echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
+ echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
fi;
#
@@ -27208,7 +27284,14 @@ fi
if test -z "$pcre_inc"; then
echo "$as_me:$LINENO: checking for pcre.h" >&5
echo $ECHO_N "checking for pcre.h... $ECHO_C" >&6
- if test -f "/usr/include/pcre.h"; then
+ if test -f "/usr/include/pcre/pcre.h"; then
+ echo "$as_me:$LINENO: result: using /usr/include/pcre/pcre.h" >&5
+echo "${ECHO_T}using /usr/include/pcre/pcre.h" >&6
+ pcre_incdir="/usr/include/pcre"
+ pcre_inc="-I/usr/include/pcre"
+ pcre_lib='-L$(libdir)'
+ pcre_libdir='$(libdir)'
+ elif test -f "/usr/include/pcre.h"; then
echo "$as_me:$LINENO: result: using /usr/include/pcre.h" >&5
echo "${ECHO_T}using /usr/include/pcre.h" >&6
pcre_incdir="/usr/include"
@@ -27218,8 +27301,8 @@ echo "${ECHO_T}using /usr/include/pcre.h" >&6
else
echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6
- { { echo "$as_me:$LINENO: error: pcre not found, specify with --with-pcre." >&5
-echo "$as_me: error: pcre not found, specify with --with-pcre." >&2;}
+ { { echo "$as_me:$LINENO: error: PCRE not found, specify with --with-pcre." >&5
+echo "$as_me: error: PCRE not found, specify with --with-pcre." >&2;}
{ (exit 1); exit 1; }; }
fi
fi
@@ -27255,14 +27338,19 @@ echo $ECHO_N "checking for --with-selinux... $ECHO_C" >&6
if test "${with_selinux+set}" = set; then
withval="$with_selinux"
- with_selinux=yes
- echo "$as_me:$LINENO: result: yes" >&5
+ if test "$withval" = "no"; then
+ echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+ else
+ with_selinux=yes
+ echo "$as_me:$LINENO: result: yes" >&5
echo "${ECHO_T}yes" >&6
- if test ! -f "/usr/share/selinux/devel/Makefile"; then
- { { echo "$as_me:$LINENO: error: SELinux development tools (selinux-policy) not found" >&5
+ if test ! -f "/usr/share/selinux/devel/Makefile"; then
+ { { echo "$as_me:$LINENO: error: SELinux development tools (selinux-policy) not found" >&5
echo "$as_me: error: SELinux development tools (selinux-policy) not found" >&2;}
{ (exit 1); exit 1; }; }
+ fi
fi
else
diff --git a/configure.ac b/configure.ac
index 68a6d80c..cd4ab80c 100644
--- a/configure.ac
+++ b/configure.ac
@@ -466,8 +466,6 @@ AM_CONDITIONAL(SOLARIS,test "$platform" = "solaris")
# Check for library dependencies
m4_include(m4/nspr.m4)
m4_include(m4/nss.m4)
-# default to Mozilla LDAP C SDK - override with --with-openldap
-with_ldapsdk=yes
m4_include(m4/openldap.m4)
m4_include(m4/mozldap.m4)
m4_include(m4/db.m4)
diff --git a/m4/db.m4 b/m4/db.m4
index 1cde57da..7b300f49 100644
--- a/m4/db.m4
+++ b/m4/db.m4
@@ -22,19 +22,13 @@ AC_CHECKING(for db)
dnl - check for --with-db
AC_MSG_CHECKING(for --with-db)
-AC_ARG_WITH(db, [ --with-db=PATH Berkeley DB directory],
+AC_ARG_WITH(db, AS_HELP_STRING([--with-db@<:@=PATH@:>@],[Berkeley DB directory]),
[
if test "$withval" = "yes"; then
AC_MSG_RESULT(yes)
- dnl - check in system locations
- if test -f "/usr/include/db.h"; then
- db_incdir="/usr/include"
- db_inc="-I/usr/include"
- db_lib='-L$(libdir)'
- db_libdir='$(libdir)'
- else
- AC_MSG_ERROR([db.h not found])
- fi
+ elif test "$withval" = "no"; then
+ AC_MSG_RESULT(no)
+ AC_MSG_ERROR([db is required.])
elif test -d "$withval"/include -a -d "$withval"/lib; then
AC_MSG_RESULT([using $withval])
dnl - check the user provided location
@@ -51,12 +45,12 @@ AC_ARG_WITH(db, [ --with-db=PATH Berkeley DB directory],
AC_MSG_ERROR([$withval not found])
fi
],
-AC_MSG_RESULT(no))
+AC_MSG_RESULT(yes))
dnl default path for the db tools (see [210947] for more details)
# check for --with-db-inc
AC_MSG_CHECKING(for --with-db-inc)
-AC_ARG_WITH(db-inc, [ --with-db-inc=PATH Berkeley DB include file directory],
+AC_ARG_WITH(db-inc, AS_HELP_STRING([--with-db-inc=PATH],[Berkeley DB include file directory]),
[
if test -e "$withval"/db.h
then
@@ -72,7 +66,7 @@ AC_MSG_RESULT(no))
# check for --with-db-lib
AC_MSG_CHECKING(for --with-db-lib)
-AC_ARG_WITH(db-lib, [ --with-db-lib=PATH Berkeley DB library directory],
+AC_ARG_WITH(db-lib, AS_HELP_STRING([--with-db-lib=PATH],[Berkeley DB library directory]),
[
if test -d "$withval"
then
@@ -106,6 +100,7 @@ if test -z "$db_inc"; then
AC_MSG_ERROR([db not found, specify with --with-db.])
fi
fi
+
dnl figure out which version of db we're using from the header file
db_ver_maj=`grep DB_VERSION_MAJOR $db_incdir/db.h | awk '{print $3}'`
db_ver_min=`grep DB_VERSION_MINOR $db_incdir/db.h | awk '{print $3}'`
diff --git a/m4/fhs.m4 b/m4/fhs.m4
index 479a76d6..d42c3047 100644
--- a/m4/fhs.m4
+++ b/m4/fhs.m4
@@ -22,7 +22,7 @@ AC_CHECKING(for FHS)
# check for --with-fhs
AC_MSG_CHECKING(for --with-fhs)
-AC_ARG_WITH(fhs, [ --with-fhs Use FHS layout],
+AC_ARG_WITH(fhs, AS_HELP_STRING([--with-fhs],[Use FHS layout]),
[
with_fhs=yes
AC_MSG_RESULT(yes)
@@ -35,7 +35,7 @@ fi
# check for --with-fhs-opt
AC_MSG_CHECKING(for --with-fhs-opt)
-AC_ARG_WITH(fhs-opt, [ --with-fhs-opt Use FHS optional layout],
+AC_ARG_WITH(fhs-opt, AS_HELP_STRING([--with-fhs-opt],[Use FHS optional layout]),
[
with_fhs_opt=yes
AC_MSG_RESULT(yes)
diff --git a/m4/icu.m4 b/m4/icu.m4
index f36ef932..a9012938 100644
--- a/m4/icu.m4
+++ b/m4/icu.m4
@@ -22,25 +22,32 @@ AC_CHECKING(for LIBICU)
# check for --with-icu
AC_MSG_CHECKING(for --with-icu)
-AC_ARG_WITH(icu, [ --with-icu=PATH ICU directory],
+AC_ARG_WITH(icu, AS_HELP_STRING([--with-icu@<:@=PATH@:>@],[ICU directory]),
[
- if test -d "$withval"/lib
+ if test "$withval" = "yes"
+ then
+ AC_MSG_RESULT(yes)
+ elif test "$withval" = "no"
+ then
+ AC_MSG_RESULT(no)
+ AC_MSG_ERROR([ICU is required.])
+ elif test -d "$withval"/lib
then
AC_MSG_RESULT([using $withval])
ICUDIR=$withval
icu_lib="-L$ICUDIR/lib"
+ icu_inc="-I$withval/include"
+ icu_bin="$withval/bin"
else
echo
AC_MSG_ERROR([$withval not found])
fi
- icu_inc="-I$withval/include"
- icu_bin="$withval/bin"
],
-AC_MSG_RESULT(no))
+AC_MSG_RESULT(yes))
# check for --with-icu-inc
AC_MSG_CHECKING(for --with-icu-inc)
-AC_ARG_WITH(icu-inc, [ --with-icu-inc=PATH ICU include directory],
+AC_ARG_WITH(icu-inc, AS_HELP_STRING([--with-icu-inc=PATH],[ICU include directory]),
[
if test -d "$withval"
then
@@ -55,7 +62,7 @@ AC_MSG_RESULT(no))
# check for --with-icu-lib
AC_MSG_CHECKING(for --with-icu-lib)
-AC_ARG_WITH(icu-lib, [ --with-icu-lib=PATH ICU library directory],
+AC_ARG_WITH(icu-lib, AS_HELP_STRING([--with-icu-lib=PATH],[ICU library directory]),
[
if test -d "$withval"
then
@@ -70,7 +77,7 @@ AC_MSG_RESULT(no))
# check for --with-icu-bin
AC_MSG_CHECKING(for --with-icu-bin)
-AC_ARG_WITH(icu-bin, [ --with-icu-bin=PATH ICU binary directory],
+AC_ARG_WITH(icu-bin, AS_HELP_STRING([--with-icu-bin=PATH],[ICU binary directory]),
[
if test -d "$withval"
then
@@ -86,8 +93,8 @@ AC_MSG_RESULT(no))
# last resort
if test -z "$icu_lib"; then
- AC_MSG_CHECKING(for icu with icu-config)
AC_PATH_PROG(ICU_CONFIG, icu-config)
+ AC_MSG_CHECKING(for icu with icu-config)
if test -n "$ICU_CONFIG"; then
icu_lib=`$ICU_CONFIG --ldflags-searchpath`
icu_inc=`$ICU_CONFIG --cppflags-searchpath`
diff --git a/m4/kerberos.m4 b/m4/kerberos.m4
index 26234149..0a84e964 100644
--- a/m4/kerberos.m4
+++ b/m4/kerberos.m4
@@ -26,7 +26,7 @@ dnl = authentication (replication, chaining, etc.)
dnl = This allows us to authenticate using a keytab without
dnl = having to call kinit outside the process
dnl ========================================================
-AC_CHECKING(for kerberos)
+AC_CHECKING(for Kerberos)
if test -z "$with_kerberos" ; then
with_kerberos=yes # if not set on cmdline, set default
@@ -34,7 +34,7 @@ fi
AC_MSG_CHECKING(for --with-kerberos)
AC_ARG_WITH(kerberos,
- AS_HELP_STRING([--with-kerberos[=PATH]], [Use the kerberos API in the server directly - allows the server to authenticate directly with a keytab - otherwise, SASL/GSSAPI auth depends on underlying SASL libraries and external kinit with a keytab - if PATH is not specified, look for kerberos in the system locations. This will attempt to use krb5-config from the PATH to find the libs and include dirs - you can specify KRB5_CONFIG_BIN to specify a different filename or absolute path. If krb5-config does not work, this will attempt to look in various system directories]),
+ AS_HELP_STRING([--with-kerberos@<:@=PATH@:>@], [Use the kerberos API in the server directly - allows the server to authenticate directly with a keytab - otherwise, SASL/GSSAPI auth depends on underlying SASL libraries and external kinit with a keytab - if PATH is not specified, look for kerberos in the system locations. This will attempt to use krb5-config from the PATH to find the libs and include dirs - you can specify KRB5_CONFIG_BIN to specify a different filename or absolute path. If krb5-config does not work, this will attempt to look in various system directories]),
[
if test "x$withval" = "xyes"; then
AC_MSG_RESULT(yes)
diff --git a/m4/mozldap.m4 b/m4/mozldap.m4
index 475e868b..51e151db 100644
--- a/m4/mozldap.m4
+++ b/m4/mozldap.m4
@@ -22,11 +22,14 @@ AC_CHECKING(for Mozilla LDAPSDK)
# check for --with-ldapsdk
AC_MSG_CHECKING(for --with-ldapsdk)
-AC_ARG_WITH(ldapsdk, [ --with-ldapsdk=PATH Mozilla LDAP SDK directory],
+AC_ARG_WITH(ldapsdk, AS_HELP_STRING([--with-ldapsdk@<:@=PATH@:>@],[Mozilla LDAP SDK directory]),
[
if test "$withval" = yes
then
- AC_MSG_RESULT([using system MozLDAP])
+ AC_MSG_RESULT(yes)
+ elif test "$withval" = no
+ then
+ AC_MSG_RESULT(no)
elif test -e "$withval"/include/ldap.h -a -d "$withval"/lib
then
AC_MSG_RESULT([using $withval])
@@ -40,12 +43,29 @@ AC_ARG_WITH(ldapsdk, [ --with-ldapsdk=PATH Mozilla LDAP SDK directory],
echo
AC_MSG_ERROR([$withval not found])
fi
+
+ if test "$with_ldapsdk" = yes -a "$with_openldap" = yes
+ then
+ AC_MSG_ERROR([Cannot use both LDAPSDK and OpenLDAP.])
+ fi
+ if test "$with_ldapsdk" != yes -a "$with_openldap" != yes
+ then
+ AC_MSG_ERROR([Either LDAPSDK or OpenLDAP must be used.])
+ fi
],
-AC_MSG_RESULT(no))
+[
+ if test "$with_openldap" = yes
+ then
+ AC_MSG_RESULT(no)
+ else
+ AC_MSG_RESULT(yes)
+ with_ldapsdk=yes
+ fi
+])
# check for --with-ldapsdk-inc
AC_MSG_CHECKING(for --with-ldapsdk-inc)
-AC_ARG_WITH(ldapsdk-inc, [ --with-ldapsdk-inc=PATH Mozilla LDAP SDK include directory],
+AC_ARG_WITH(ldapsdk-inc, AS_HELP_STRING([--with-ldapsdk-inc=PATH],[Mozilla LDAP SDK include directory]),
[
if test -e "$withval"/ldap.h
then
@@ -61,7 +81,7 @@ AC_MSG_RESULT(no))
# check for --with-ldapsdk-lib
AC_MSG_CHECKING(for --with-ldapsdk-lib)
-AC_ARG_WITH(ldapsdk-lib, [ --with-ldapsdk-lib=PATH Mozilla LDAP SDK library directory],
+AC_ARG_WITH(ldapsdk-lib, AS_HELP_STRING([--with-ldapsdk-lib=PATH],[Mozilla LDAP SDK library directory]),
[
if test -d "$withval"
then
@@ -78,7 +98,7 @@ AC_MSG_RESULT(no))
# check for --with-ldapsdk-bin
AC_MSG_CHECKING(for --with-ldapsdk-bin)
-AC_ARG_WITH(ldapsdk-bin, [ --with-ldapsdk-bin=PATH Mozilla LDAP SDK binary directory],
+AC_ARG_WITH(ldapsdk-bin, AS_HELP_STRING([--with-ldapsdk-bin=PATH],[Mozilla LDAP SDK binary directory]),
[
if test -d "$withval"
then
diff --git a/m4/netsnmp.m4 b/m4/netsnmp.m4
index 10fccf84..60ad9c92 100644
--- a/m4/netsnmp.m4
+++ b/m4/netsnmp.m4
@@ -22,9 +22,14 @@ AC_CHECKING(for Net-SNMP)
dnl - check for --with-netsnmp
AC_MSG_CHECKING(for --with-netsnmp)
-AC_ARG_WITH(netsnmp, [ --with-netsnmp=PATH Net-SNMP directory],
+AC_ARG_WITH(netsnmp, AS_HELP_STRING([--with-netsnmp@<:@=PATH@:>@],[Net-SNMP directory]),
[
- if test -d "$withval" -a -d "$withval/lib" -a -d "$withval/include"; then
+ if test "$withval" = "yes"; then
+ AC_MSG_RESULT(yes)
+ elif test "$withval" = "no"; then
+ AC_MSG_RESULT(no)
+ AC_MSG_ERROR([Net-SNMP is required.])
+ elif test -d "$withval" -a -d "$withval/lib" -a -d "$withval/include"; then
AC_MSG_RESULT([using $withval])
NETSNMPDIR=$withval
@@ -41,11 +46,11 @@ AC_ARG_WITH(netsnmp, [ --with-netsnmp=PATH Net-SNMP directory],
AC_MSG_ERROR([$withval not found])
fi
],
-AC_MSG_RESULT(no))
+AC_MSG_RESULT(yes))
dnl - check for --with-netsnmp-inc
AC_MSG_CHECKING(for --with-netsnmp-inc)
-AC_ARG_WITH(netsnmp-inc, [ --with-netsnmp-inc=PATH Net-SNMP include directory],
+AC_ARG_WITH(netsnmp-inc, AS_HELP_STRING([--with-netsnmp-inc=PATH],[Net-SNMP include directory]),
[
if test -f "$withval/net-snmp/net-snmp-includes.h"; then
AC_MSG_RESULT([using $withval])
@@ -59,7 +64,7 @@ AC_MSG_RESULT(no))
dnl - check for --with-netsnmp-lib
AC_MSG_CHECKING(for --with-netsnmp-lib)
-AC_ARG_WITH(netsnmp-lib, [ --with-netsnmp-lib=PATH Net-SNMP library directory],
+AC_ARG_WITH(netsnmp-lib, AS_HELP_STRING([--with-netsnmp-lib=PATH],[Net-SNMP library directory]),
[
if test -d "$withval"
then
diff --git a/m4/nspr.m4 b/m4/nspr.m4
index e89b9a89..79d21b01 100644
--- a/m4/nspr.m4
+++ b/m4/nspr.m4
@@ -22,9 +22,16 @@ AC_CHECKING(for NSPR)
# check for --with-nspr
AC_MSG_CHECKING(for --with-nspr)
-AC_ARG_WITH(nspr, [ --with-nspr=PATH Netscape Portable Runtime (NSPR) directory],
+AC_ARG_WITH(nspr, AS_HELP_STRING([--with-nspr@<:@=PATH@:>@],[Netscape Portable Runtime (NSPR) directory]),
[
- if test -e "$withval"/include/nspr.h -a -d "$withval"/lib
+ if test "$withval" = "yes"
+ then
+ AC_MSG_RESULT(yes)
+ elif test "$withval" = "no"
+ then
+ AC_MSG_RESULT(no)
+ AC_MSG_ERROR([NSPR is required.])
+ elif test -e "$withval"/include/nspr.h -a -d "$withval"/lib
then
AC_MSG_RESULT([using $withval])
NSPRDIR=$withval
@@ -36,11 +43,11 @@ AC_ARG_WITH(nspr, [ --with-nspr=PATH Netscape Portable Runtime (NSPR) di
AC_MSG_ERROR([$withval not found])
fi
],
-AC_MSG_RESULT(no))
+AC_MSG_RESULT(yes))
# check for --with-nspr-inc
AC_MSG_CHECKING(for --with-nspr-inc)
-AC_ARG_WITH(nspr-inc, [ --with-nspr-inc=PATH Netscape Portable Runtime (NSPR) include file directory],
+AC_ARG_WITH(nspr-inc, AS_HELP_STRING([--with-nspr-inc=PATH],[Netscape Portable Runtime (NSPR) include directory]),
[
if test -e "$withval"/nspr.h
then
@@ -55,7 +62,7 @@ AC_MSG_RESULT(no))
# check for --with-nspr-lib
AC_MSG_CHECKING(for --with-nspr-lib)
-AC_ARG_WITH(nspr-lib, [ --with-nspr-lib=PATH Netscape Portable Runtime (NSPR) library directory],
+AC_ARG_WITH(nspr-lib, AS_HELP_STRING([--with-nspr-lib=PATH],[Netscape Portable Runtime (NSPR) library directory]),
[
if test -d "$withval"
then
diff --git a/m4/nss.m4 b/m4/nss.m4
index 9d892254..753b0033 100644
--- a/m4/nss.m4
+++ b/m4/nss.m4
@@ -22,9 +22,16 @@ AC_CHECKING(for NSS)
# check for --with-nss
AC_MSG_CHECKING(for --with-nss)
-AC_ARG_WITH(nss, [ --with-nss=PATH Network Security Services (NSS) directory],
+AC_ARG_WITH(nss, AS_HELP_STRING([--with-nss@<:@=PATH@:>@],[Network Security Services (NSS) directory]),
[
- if test -e "$withval"/include/nss.h -a -d "$withval"/lib
+ if test "$withval" = "yes"
+ then
+ AC_MSG_RESULT(yes)
+ elif test "$withval" = "no"
+ then
+ AC_MSG_RESULT(no)
+ AC_MSG_ERROR([NSS is required.])
+ elif test -e "$withval"/include/nss.h -a -d "$withval"/lib
then
AC_MSG_RESULT([using $withval])
NSSDIR=$withval
@@ -36,11 +43,11 @@ AC_ARG_WITH(nss, [ --with-nss=PATH Network Security Services (NSS) dire
AC_MSG_ERROR([$withval not found])
fi
],
-AC_MSG_RESULT(no))
+AC_MSG_RESULT(yes))
# check for --with-nss-inc
AC_MSG_CHECKING(for --with-nss-inc)
-AC_ARG_WITH(nss-inc, [ --with-nss-inc=PATH Network Security Services (NSS) include directory],
+AC_ARG_WITH(nss-inc, AS_HELP_STRING([--with-nss-inc=PATH],[Network Security Services (NSS) include directory]),
[
if test -e "$withval"/nss.h
then
@@ -55,7 +62,7 @@ AC_MSG_RESULT(no))
# check for --with-nss-lib
AC_MSG_CHECKING(for --with-nss-lib)
-AC_ARG_WITH(nss-lib, [ --with-nss-lib=PATH Network Security Services (NSS) library directory],
+AC_ARG_WITH(nss-lib, AS_HELP_STRING([--with-nss-lib=PATH],[Network Security Services (NSS) library directory]),
[
if test -d "$withval"
then
diff --git a/m4/openldap.m4 b/m4/openldap.m4
index 29dc1158..cf91a89e 100644
--- a/m4/openldap.m4
+++ b/m4/openldap.m4
@@ -22,11 +22,14 @@ AC_CHECKING(for OpenLDAP)
# check for --with-openldap
AC_MSG_CHECKING(for --with-openldap)
-AC_ARG_WITH(openldap, AS_HELP_STRING([--with-openldap[=PATH]],[Use OpenLDAP - optional PATH is path to OpenLDAP SDK]),
+AC_ARG_WITH(openldap, AS_HELP_STRING([--with-openldap@<:@=PATH@:>@],[Use OpenLDAP - optional PATH is path to OpenLDAP SDK]),
[
if test "$withval" = yes
then
AC_MSG_RESULT([using system OpenLDAP])
+ elif test "$withval" = no
+ then
+ AC_MSG_RESULT(no)
elif test -e "$withval"/include/ldap.h -a -d "$withval"/lib
then
AC_MSG_RESULT([using $withval])
@@ -46,7 +49,7 @@ AC_MSG_RESULT(no))
# check for --with-openldap-inc
AC_MSG_CHECKING(for --with-openldap-inc)
-AC_ARG_WITH(openldap-inc, [ --with-openldap-inc=PATH OpenLDAP SDK include directory],
+AC_ARG_WITH(openldap-inc, AS_HELP_STRING([--with-openldap-inc=PATH],[OpenLDAP SDK include directory]),
[
if test -e "$withval"/ldap.h
then
@@ -63,7 +66,7 @@ AC_MSG_RESULT(no))
# check for --with-openldap-lib
AC_MSG_CHECKING(for --with-openldap-lib)
-AC_ARG_WITH(openldap-lib, [ --with-openldap-lib=PATH OpenLDAP SDK library directory],
+AC_ARG_WITH(openldap-lib, AS_HELP_STRING([--with-openldap-lib=PATH],[OpenLDAP SDK library directory]),
[
if test -d "$withval"
then
@@ -80,7 +83,7 @@ AC_MSG_RESULT(no))
# check for --with-openldap-bin
AC_MSG_CHECKING(for --with-openldap-bin)
-AC_ARG_WITH(openldap-bin, [ --with-openldap-bin=PATH OpenLDAP SDK binary directory],
+AC_ARG_WITH(openldap-bin, AS_HELP_STRING([--with-openldap-bin=PATH],[OpenLDAP SDK binary directory]),
[
if test -d "$withval"
then
@@ -96,8 +99,8 @@ AC_MSG_RESULT(no))
# if OPENLDAP is not found yet, try pkg-config
-if test -z "$openldap_inc" -o -z "$openldap_lib" -o -z "$openldap_libdir" -o -z "$openldap_bindir"; then
- if test "$with_openldap" = yes ; then # user wants to use openldap, but didn't specify paths
+if test "$with_openldap" = yes ; then # user wants to use openldap, but didn't specify paths
+ if test -z "$openldap_inc" -o -z "$openldap_lib" -o -z "$openldap_libdir" -o -z "$openldap_bindir"; then
AC_PATH_PROG(PKG_CONFIG, pkg-config)
AC_MSG_CHECKING(for OpenLDAP with pkg-config)
if test -n "$PKG_CONFIG" && $PKG_CONFIG --exists openldap; then
@@ -143,5 +146,4 @@ if test "$with_openldap" = yes ; then
CPPFLAGS="$save_cppflags"
AC_DEFINE([USE_OPENLDAP], [1], [If defined, using OpenLDAP for LDAP SDK])
- with_ldapsdk=no # using openldap not mozldap
fi
diff --git a/m4/pcre.m4 b/m4/pcre.m4
index 0c7569db..1fec03dd 100644
--- a/m4/pcre.m4
+++ b/m4/pcre.m4
@@ -18,28 +18,17 @@
#
# END COPYRIGHT BLOCK
-AC_CHECKING(for pcre)
+AC_CHECKING(for PCRE)
dnl - check for --with-pcre
AC_MSG_CHECKING(for --with-pcre)
-AC_ARG_WITH(pcre, [ --with-pcre=PATH Perl Compatible Regular Expression directory],
+AC_ARG_WITH(pcre, AS_HELP_STRING([--with-pcre@<:@=PATH@:>@],[Perl Compatible Regular Expression directory]),
[
if test "$withval" = "yes"; then
AC_MSG_RESULT(yes)
- dnl - check in system locations
- if test -f "/usr/include/pcre/pcre.h"; then
- pcre_incdir="/usr/include/pcre"
- pcre_inc="-I/usr/include/pcre"
- pcre_lib='-L$(libdir)'
- pcre_libdir='$(libdir)'
- elif test -f "/usr/include/pcre.h"; then
- pcre_incdir="/usr/include"
- pcre_inc="-I/usr/include"
- pcre_lib='-L$(libdir)'
- pcre_libdir='$(libdir)'
- else
- AC_MSG_ERROR([pcre.h not found])
- fi
+ elif test "$withval" = "no"; then
+ AC_MSG_RESULT(no)
+ AC_MSG_ERROR([PCRE is required.])
elif test -d "$withval"/include -a -d "$withval"/lib; then
AC_MSG_RESULT([using $withval])
dnl - check the user provided location
@@ -56,7 +45,7 @@ AC_ARG_WITH(pcre, [ --with-pcre=PATH Perl Compatible Regular Expression direc
AC_MSG_ERROR([$withval not found])
fi
],
-AC_MSG_RESULT(no))
+AC_MSG_RESULT(yes))
#
# if PCRE is not found yet, try pkg-config
@@ -84,7 +73,13 @@ dnl last resort
dnl - check in system locations
if test -z "$pcre_inc"; then
AC_MSG_CHECKING(for pcre.h)
- if test -f "/usr/include/pcre.h"; then
+ if test -f "/usr/include/pcre/pcre.h"; then
+ AC_MSG_RESULT([using /usr/include/pcre/pcre.h])
+ pcre_incdir="/usr/include/pcre"
+ pcre_inc="-I/usr/include/pcre"
+ pcre_lib='-L$(libdir)'
+ pcre_libdir='$(libdir)'
+ elif test -f "/usr/include/pcre.h"; then
AC_MSG_RESULT([using /usr/include/pcre.h])
pcre_incdir="/usr/include"
pcre_inc="-I/usr/include"
@@ -92,6 +87,6 @@ if test -z "$pcre_inc"; then
pcre_libdir='$(libdir)'
else
AC_MSG_RESULT(no)
- AC_MSG_ERROR([pcre not found, specify with --with-pcre.])
+ AC_MSG_ERROR([PCRE not found, specify with --with-pcre.])
fi
fi
diff --git a/m4/sasl.m4 b/m4/sasl.m4
index 00b2f2af..b875e705 100644
--- a/m4/sasl.m4
+++ b/m4/sasl.m4
@@ -27,24 +27,19 @@ dnl ========================================================
dnl ========================================================
dnl = Use the sasl libraries on the system (assuming it exists)
dnl ========================================================
-AC_CHECKING(for sasl)
+AC_CHECKING(for SASL)
AC_MSG_CHECKING(for --with-sasl)
AC_ARG_WITH(sasl,
- [[ --with-sasl=PATH Use sasl from supplied path]],
+ AS_HELP_STRING([--with-sasl@<:@=PATH@:>@],[Use SASL from supplied path]),
dnl = Look in the standard system locations
[
if test "$withval" = "yes"; then
AC_MSG_RESULT(yes)
- dnl = Check for sasl.h in the normal locations
- if test -f /usr/include/sasl/sasl.h; then
- sasl_inc="-I/usr/include/sasl"
- elif test -f /usr/include/sasl.h; then
- sasl_inc="-I/usr/include"
- else
- AC_MSG_ERROR(sasl.h not found)
- fi
+ elif test "$withval" = "no"; then
+ AC_MSG_RESULT(no)
+ AC_MSG_ERROR([SASL is required.])
dnl = Check the user provided location
elif test -d "$withval" -a -d "$withval/lib" -a -d "$withval/include" ; then
@@ -62,14 +57,14 @@ AC_ARG_WITH(sasl,
sasl_libdir="$withval/lib"
else
AC_MSG_RESULT(yes)
- AC_MSG_ERROR([sasl not found in $withval])
+ AC_MSG_ERROR([SASL not found in $withval])
fi
],
- AC_MSG_RESULT(no))
+ AC_MSG_RESULT(yes))
AC_MSG_CHECKING(for --with-sasl-inc)
AC_ARG_WITH(sasl-inc,
- [[ --with-sasl-inc=PATH SASL include file directory]],
+ AS_HELP_STRING([--with-sasl-inc=PATH],[SASL include file directory]),
[
if test -f "$withval"/sasl.h; then
AC_MSG_RESULT([using $withval])
@@ -83,7 +78,7 @@ AC_ARG_WITH(sasl-inc,
AC_MSG_CHECKING(for --with-sasl-lib)
AC_ARG_WITH(sasl-lib,
- [[ --with-sasl-lib=PATH SASL library directory]],
+ AS_HELP_STRING([--with-sasl-lib=PATH],[SASL library directory]),
[
if test -d "$withval"; then
AC_MSG_RESULT([using $withval])
@@ -107,6 +102,6 @@ if test -z "$sasl_inc"; then
sasl_inc="-I/usr/include"
else
AC_MSG_RESULT(no)
- AC_MSG_ERROR([sasl not found, specify with --with-sasl.])
+ AC_MSG_ERROR([SASL not found, specify with --with-sasl.])
fi
fi
diff --git a/m4/selinux.m4 b/m4/selinux.m4
index de97c94e..5a574d18 100644
--- a/m4/selinux.m4
+++ b/m4/selinux.m4
@@ -22,13 +22,17 @@ AC_CHECKING(for SELinux)
# check for --with-selinux
AC_MSG_CHECKING(for --with-selinux)
-AC_ARG_WITH(selinux, [ --with-selinux Build SELinux policy],
+AC_ARG_WITH(selinux, AS_HELP_STRING([--with-selinux],[Build SELinux policy]),
[
- with_selinux=yes
- AC_MSG_RESULT(yes)
- AC_SUBST(with_selinux)
- if test ! -f "/usr/share/selinux/devel/Makefile"; then
- AC_MSG_ERROR([SELinux development tools (selinux-policy) not found])
+ if test "$withval" = "no"; then
+ AC_MSG_RESULT(no)
+ else
+ with_selinux=yes
+ AC_MSG_RESULT(yes)
+ AC_SUBST(with_selinux)
+ if test ! -f "/usr/share/selinux/devel/Makefile"; then
+ AC_MSG_ERROR([SELinux development tools (selinux-policy) not found])
+ fi
fi
],
AC_MSG_RESULT(no))
diff --git a/m4/svrcore.m4 b/m4/svrcore.m4
index 5051f73d..7164ab91 100644
--- a/m4/svrcore.m4
+++ b/m4/svrcore.m4
@@ -20,22 +20,19 @@
#
# Configure paths for SVRCORE
-AC_CHECKING(for svrcore)
+AC_CHECKING(for SVRCORE)
AC_MSG_CHECKING(for --with-svrcore)
AC_ARG_WITH(svrcore,
- [[ --with-svrcore[=PATH] Use system installed svrcore - optional path for svrcore]],
+ AS_HELP_STRING([--with-svrcore@<:@=PATH@:>@],[Use system installed SVRCORE - optional path for SVRCORE]),
dnl = Look in the standard system locations
[
if test "$withval" = "yes"; then
AC_MSG_RESULT(yes)
- dnl = Check for svrcore.h in the normal locations
- if test -f /usr/include/svrcore.h; then
- svrcore_inc="-I/usr/include"
- else
- AC_MSG_ERROR(svrcore.h not found)
- fi
+ elif test "$withval" = "no"; then
+ AC_MSG_RESULT(no)
+ AC_MSG_ERROR([SVRCORE is required.])
dnl = Check the user provided location
elif test -d "$withval" -a -d "$withval/lib" -a -d "$withval/include" ; then
@@ -50,14 +47,14 @@ AC_ARG_WITH(svrcore,
svrcore_lib="-L$withval/lib"
else
AC_MSG_RESULT(yes)
- AC_MSG_ERROR([svrcore not found in $withval])
+ AC_MSG_ERROR([SVRCORE not found in $withval])
fi
],
- AC_MSG_RESULT(no))
+ AC_MSG_RESULT(yes))
AC_MSG_CHECKING(for --with-svrcore-inc)
AC_ARG_WITH(svrcore-inc,
- [[ --with-svrcore-inc=PATH SVRCORE include file directory]],
+ AS_HELP_STRING([--with-svrcore-inc=PATH],[SVRCORE include file directory]),
[
if test -f "$withval"/svrcore.h; then
AC_MSG_RESULT([using $withval])
@@ -71,7 +68,7 @@ AC_ARG_WITH(svrcore-inc,
AC_MSG_CHECKING(for --with-svrcore-lib)
AC_ARG_WITH(svrcore-lib,
- [[ --with-svrcore-lib=PATH SVRCORE library directory]],
+ AS_HELP_STRING([--with-svrcore-lib=PATH],[SVRCORE library directory]),
[
if test -d "$withval"; then
AC_MSG_RESULT([using $withval])
@@ -86,7 +83,7 @@ AC_ARG_WITH(svrcore-lib,
dnl svrcore not given - look for pkg-config
if test -z "$svrcore_inc" -o -z "$svrcore_lib"; then
AC_PATH_PROG(PKG_CONFIG, pkg-config)
- AC_MSG_CHECKING(for svrcore with pkg-config)
+ AC_MSG_CHECKING(for SVRCORE with pkg-config)
if test -n "$PKG_CONFIG"; then
if $PKG_CONFIG --exists svrcore; then
svrcore_inc=`$PKG_CONFIG --cflags-only-I svrcore`
@@ -97,18 +94,28 @@ if test -z "$svrcore_inc" -o -z "$svrcore_lib"; then
fi
if test -z "$svrcore_inc" -o -z "$svrcore_lib"; then
-dnl just see if svrcore is already a system library
+dnl just see if SVRCORE is already a system library
AC_CHECK_LIB([svrcore], [SVRCORE_GetRegisteredPinObj], [havesvrcore=1],
[], [$nss_inc $nspr_inc $nss_lib -lnss3 -lsoftokn3 $nspr_lib -lplds4 -lplc4 -lnspr4])
if test -n "$havesvrcore" ; then
-dnl just see if svrcore is already a system header file
+dnl just see if SVRCORE is already a system header file
save_cppflags="$CPPFLAGS"
CPPFLAGS="$nss_inc $nspr_inc"
AC_CHECK_HEADER([svrcore.h], [havesvrcore=1], [havesvrcore=])
CPPFLAGS="$save_cppflags"
fi
-dnl for svrcore to be present, both the library and the header must exist
+dnl for SVRCORE to be present, both the library and the header must exist
if test -z "$havesvrcore" ; then
- AC_MSG_ERROR([svrcore not found, specify with --with-svrcore.])
+ AC_MSG_ERROR([SVRCORE not found, specify with --with-svrcore.])
+ fi
+fi
+
+dnl = Check for svrcore.h in the normal locations
+if test -z "$svrcore_inc" -o -z "$svrcore_lib"; then
+ if test -f /usr/include/svrcore.h; then
+ svrcore_inc="-I/usr/include"
+ svrcore_lib="-L/usr/lib"
+ else
+ AC_MSG_ERROR([SVRCORE not found, specify with --with-svrcore.])
fi
fi